

def download_datasets(study: str): 
    
    import rpy2.robjects as robjects
    from rpy2.robjects import pandas2ri
    from pathlib import Path

    r = robjects.r
    path=str(Path(__file__).parent)
    r.assign('path',path)
    r['source'](path+"/mework.R")

    download_function_r = robjects.globalenv['download']
    df_result_r = download_function_r(study_id=study,parentpath=path)
    filenames = df_result_r[0]

    return filenames